
From: Pavel Machek <pavel@suse.cz>

This should fix part of u32 vs.  pm_message_t confusion in pcmcia.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/cs.c           |    2 +-
 25-akpm/drivers/pcmcia/i82092.c       |    2 +-
 25-akpm/drivers/pcmcia/i82365.c       |    2 +-
 25-akpm/drivers/pcmcia/pd6729.c       |    2 +-
 25-akpm/drivers/pcmcia/tcic.c         |    2 +-
 25-akpm/drivers/pcmcia/yenta_socket.c |    2 +-
 25-akpm/include/pcmcia/ss.h           |    2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

diff -puN drivers/pcmcia/cs.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia drivers/pcmcia/cs.c
--- 25/drivers/pcmcia/cs.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia	2005-02-24 23:16:11.000000000 -0800
+++ 25-akpm/drivers/pcmcia/cs.c	2005-02-24 23:16:11.000000000 -0800
@@ -140,7 +140,7 @@ static u8 pcmcia_used_irq[NR_IRQS];
 static int socket_resume(struct pcmcia_socket *skt);
 static int socket_suspend(struct pcmcia_socket *skt);
 
-int pcmcia_socket_dev_suspend(struct device *dev, u32 state)
+int pcmcia_socket_dev_suspend(struct device *dev, pm_message_t state)
 {
 	struct pcmcia_socket *socket;
 
diff -puN drivers/pcmcia/i82092.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia drivers/pcmcia/i82092.c
--- 25/drivers/pcmcia/i82092.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia	2005-02-24 23:16:11.000000000 -0800
+++ 25-akpm/drivers/pcmcia/i82092.c	2005-02-24 23:16:11.000000000 -0800
@@ -42,7 +42,7 @@ static struct pci_device_id i82092aa_pci
 };
 MODULE_DEVICE_TABLE(pci, i82092aa_pci_ids);
 
-static int i82092aa_socket_suspend (struct pci_dev *dev, u32 state)
+static int i82092aa_socket_suspend (struct pci_dev *dev, pm_message_t state)
 {
 	return pcmcia_socket_dev_suspend(&dev->dev, state);
 }
diff -puN drivers/pcmcia/i82365.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia drivers/pcmcia/i82365.c
--- 25/drivers/pcmcia/i82365.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia	2005-02-24 23:16:11.000000000 -0800
+++ 25-akpm/drivers/pcmcia/i82365.c	2005-02-24 23:16:11.000000000 -0800
@@ -1339,7 +1339,7 @@ static struct pccard_operations pcic_ope
 
 /*====================================================================*/
 
-static int i82365_suspend(struct device *dev, u32 state, u32 level)
+static int i82365_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/pd6729.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia drivers/pcmcia/pd6729.c
--- 25/drivers/pcmcia/pd6729.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia	2005-02-24 23:16:11.000000000 -0800
+++ 25-akpm/drivers/pcmcia/pd6729.c	2005-02-24 23:16:11.000000000 -0800
@@ -833,7 +833,7 @@ static void __devexit pd6729_pci_remove(
 	kfree(socket);
 }
 
-static int pd6729_socket_suspend(struct pci_dev *dev, u32 state)
+static int pd6729_socket_suspend(struct pci_dev *dev, pm_message_t state)
 {
 	return pcmcia_socket_dev_suspend(&dev->dev, state);
 }
diff -puN drivers/pcmcia/tcic.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia drivers/pcmcia/tcic.c
--- 25/drivers/pcmcia/tcic.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia	2005-02-24 23:16:11.000000000 -0800
+++ 25-akpm/drivers/pcmcia/tcic.c	2005-02-24 23:16:11.000000000 -0800
@@ -373,7 +373,7 @@ static int __init get_tcic_id(void)
 
 /*====================================================================*/
 
-static int tcic_drv_suspend(struct device *dev, u32 state, u32 level)
+static int tcic_drv_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/yenta_socket.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia drivers/pcmcia/yenta_socket.c
--- 25/drivers/pcmcia/yenta_socket.c~fix-u32-vs-pm_message_t-confusion-in-pcmcia	2005-02-24 23:16:11.000000000 -0800
+++ 25-akpm/drivers/pcmcia/yenta_socket.c	2005-02-24 23:16:11.000000000 -0800
@@ -1019,7 +1019,7 @@ static int __devinit yenta_probe (struct
 }
 
 
-static int yenta_dev_suspend (struct pci_dev *dev, u32 state)
+static int yenta_dev_suspend (struct pci_dev *dev, pm_message_t state)
 {
 	struct yenta_socket *socket = pci_get_drvdata(dev);
 	int ret;
diff -puN include/pcmcia/ss.h~fix-u32-vs-pm_message_t-confusion-in-pcmcia include/pcmcia/ss.h
--- 25/include/pcmcia/ss.h~fix-u32-vs-pm_message_t-confusion-in-pcmcia	2005-02-24 23:16:11.000000000 -0800
+++ 25-akpm/include/pcmcia/ss.h	2005-02-24 23:16:11.000000000 -0800
@@ -259,7 +259,7 @@ extern void pcmcia_unregister_socket(str
 extern struct class pcmcia_socket_class;
 
 /* socket drivers are expected to use these callbacks in their .drv struct */
-extern int pcmcia_socket_dev_suspend(struct device *dev, u32 state);
+extern int pcmcia_socket_dev_suspend(struct device *dev, pm_message_t state);
 extern int pcmcia_socket_dev_resume(struct device *dev);
 
 #endif /* _LINUX_SS_H */
_
